com.amazonaws.services.simpleworkflow.model

## Class MarkerRecordedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.MarkerRecordedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class MarkerRecordedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `MarkerRecorded` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MarkerRecordedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MarkerRecordedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker.
`String` `getDetails()` Details of the marker (if any).
`String` `getMarkerName()` The name of the marker.
`int` `hashCode()`
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker.
`void` `setDetails(String details)` Details of the marker (if any).
`void` `setMarkerName(String markerName)` The name of the marker.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`MarkerRecordedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker.
`MarkerRecordedEventAttributes` `withDetails(String details)` Details of the marker (if any).
`MarkerRecordedEventAttributes` `withMarkerName(String markerName)` The name of the marker.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarkerRecordedEventAttributes

    public MarkerRecordedEventAttributes()

### Method Detail

#### setMarkerName

    public void setMarkerName(String markerName)

The name of the marker.

Parameters:
  `markerName` - The name of the marker.

#### getMarkerName

    public String getMarkerName()

The name of the marker.

Returns:
  The name of the marker.

#### withMarkerName

    public MarkerRecordedEventAttributes withMarkerName(String markerName)

The name of the marker.

Parameters:
  `markerName` - The name of the marker.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

Details of the marker (if any).

Parameters:
  `details` - Details of the marker (if any).

#### getDetails

    public String getDetails()

Details of the marker (if any).

Returns:
  Details of the marker (if any).

#### withDetails

    public MarkerRecordedEventAttributes withDetails(String details)

Details of the marker (if any).

Parameters:
  `details` - Details of the marker (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public MarkerRecordedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `RecordMarker` decision that requested this marker. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public MarkerRecordedEventAttributes clone()

Overrides:
  `clone` in class `Object`